Mg_console installation error

Hi,

I am trying to install mgconsole on Ubuntu but while compiling from source as specified in the guide here - GitHub - memgraph/mgconsole: Memgraph Command Line Interface . There is this error after running make install command (I tried with sudo privilege as well), I do not have much experience with C++ errors so I am unable to figure out what is wrong.

All the required dependencies were successfully installed along with mgclient.

Please help. Thank you.

This error usually occurs when you have the wrong version of mgclient installed.
mgconsole currently only works with mgclient v1.0.0.

You can find the source code for mgclient v1.0.0 on this link: Release v1.0.0 · memgraph/mgclient · GitHub.

To avoid this problem in the future, we are going to put a larger emphasis on this requirement in the installation instructions. Sorry for the inconvenience and thank you for reporting it.

2 Likes

Thank you @idespot it worked. :slight_smile:

2 Likes